-- Temp variables perform better than temp tables.

USE DoodleDB2012 


DECLARE @tblMailInfo 
	Table(	MailName Varchar(100),
			ContactNumber Varchar(100),
			MailAddress Varchar(1000)
		 )
INSERT INTO @tblMailInfo
SELECT	[MailName]=emp.firstname + ' ' + emp.lastname
		,[ContactNumber]= emp.PhoneNumber
		,[MailAddress]=addr.Addline1 + ' ' + addr.State + ' ' + addr.ZipCode 
FROM tblEmployee emp 
JOIN tblAddress addr 
ON emp.DeptId=addr.Empid 
Order by [MailName]
GO
CREATE TABLE #tblMailInfo
(
	MailName Varchar(100),
	ContactNumber Varchar(100),
	MailAddress Varchar(1000)
)

INSERT INTO #tblMailInfo 
SELECT	[MailName]=emp.firstname + ' ' + emp.lastname
		,[ContactNumber]= emp.PhoneNumber
		,[MailAddress]=addr.Addline1 + ' ' + addr.State + ' ' + addr.ZipCode 
FROM tblEmployee emp 
JOIN tblAddress addr 
ON emp.DeptId=addr.Empid 
Order by [MailName]
-- Drop table #tblMailInfo
