-- prepare a dummy table
IF (object_id('tbltest')) is not null
begin
drop table tbltest 
end 
Select * into tbltest from tblplandiff
GO
create clustered index ix_sno on tbltest(sno)

-- Clear the log 
-- checkpoint

TRUNCATE TABLE tbltest
-- Observer the log 
SELECT  [Current LSN], 
		[Operation], 
		[Lock Information],
		[Description],
		[Context], 
		[Transaction ID], 
		[AllocUnitName], 
		[Transaction Name] 
FROM fn_dblog (NULL, NULL)
GO





